Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.chap4.protocol.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.chap4.protocol.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.chap4.protocol.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.chap4.protocol.v1

Method Summary
`JAXBElement<AbstractChap4MedicalAdvisorAgreementRequestType>` | `createAbstractChap4MedicalAdvisorAgreementRequest(AbstractChap4MedicalAdvisorAgreementRequestType value)` Create an instance of `JAXBElement``<``AbstractChap4MedicalAdvisorAgreementRequestType``>`}
`AbstractChap4MedicalAdvisorAgreementRequestType` | `createAbstractChap4MedicalAdvisorAgreementRequestType()` Create an instance of `AbstractChap4MedicalAdvisorAgreementRequestType`
`JAXBElement<AbstractChap4MedicalAdvisorAgreementResponseType>` | `createAbstractChap4MedicalAdvisorAgreementResponse(AbstractChap4MedicalAdvisorAgreementResponseType value)` Create an instance of `JAXBElement``<``AbstractChap4MedicalAdvisorAgreementResponseType``>`}
`AbstractChap4MedicalAdvisorAgreementResponseType` | `createAbstractChap4MedicalAdvisorAgreementResponseType()` Create an instance of `AbstractChap4MedicalAdvisorAgreementResponseType`
`AskChap4MedicalAdvisorAgreementRequest` | `createAskChap4MedicalAdvisorAgreementRequest()` Create an instance of `AskChap4MedicalAdvisorAgreementRequest`
`AskChap4MedicalAdvisorAgreementResponse` | `createAskChap4MedicalAdvisorAgreementResponse()` Create an instance of `AskChap4MedicalAdvisorAgreementResponse`
`ConsultChap4MedicalAdvisorAgreementRequest` | `createConsultChap4MedicalAdvisorAgreementRequest()` Create an instance of `ConsultChap4MedicalAdvisorAgreementRequest`
`ConsultChap4MedicalAdvisorAgreementResponse` | `createConsultChap4MedicalAdvisorAgreementResponse()` Create an instance of `ConsultChap4MedicalAdvisorAgreementResponse`
`RequestType` | `createRequestType()` Create an instance of `RequestType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.chap4.protocol.v1

Method Detail

### createAbstractChap4MedicalAdvisorAgreementRequestType

    public AbstractChap4MedicalAdvisorAgreementRequestType createAbstractChap4MedicalAdvisorAgreementRequestType()

  Create an instance of `AbstractChap4MedicalAdvisorAgreementRequestType`

### createAbstractChap4MedicalAdvisorAgreementResponseType

    public AbstractChap4MedicalAdvisorAgreementResponseType createAbstractChap4MedicalAdvisorAgreementResponseType()

  Create an instance of `AbstractChap4MedicalAdvisorAgreementResponseType`

### createAskChap4MedicalAdvisorAgreementRequest

    public AskChap4MedicalAdvisorAgreementRequest createAskChap4MedicalAdvisorAgreementRequest()

  Create an instance of `AskChap4MedicalAdvisorAgreementRequest`

### createAskChap4MedicalAdvisorAgreementResponse

    public AskChap4MedicalAdvisorAgreementResponse createAskChap4MedicalAdvisorAgreementResponse()

  Create an instance of `AskChap4MedicalAdvisorAgreementResponse`

### createConsultChap4MedicalAdvisorAgreementRequest

    public ConsultChap4MedicalAdvisorAgreementRequest createConsultChap4MedicalAdvisorAgreementRequest()

  Create an instance of `ConsultChap4MedicalAdvisorAgreementRequest`

### createConsultChap4MedicalAdvisorAgreementResponse

    public ConsultChap4MedicalAdvisorAgreementResponse createConsultChap4MedicalAdvisorAgreementResponse()

  Create an instance of `ConsultChap4MedicalAdvisorAgreementResponse`

### createRequestType

    public RequestType createRequestType()

  Create an instance of `RequestType`

### createAbstractChap4MedicalAdvisorAgreementRequest

    public JAXBElement<AbstractChap4MedicalAdvisorAgreementRequestType> createAbstractChap4MedicalAdvisorAgreementRequest(AbstractChap4MedicalAdvisorAgreementRequestType value)

  Create an instance of `JAXBElement``<``AbstractChap4MedicalAdvisorAgreementRequestType``>`}

### createAbstractChap4MedicalAdvisorAgreementResponse

    public JAXBElement<AbstractChap4MedicalAdvisorAgreementResponseType> createAbstractChap4MedicalAdvisorAgreementResponse(AbstractChap4MedicalAdvisorAgreementResponseType value)

  Create an instance of `JAXBElement``<``AbstractChap4MedicalAdvisorAgreementResponseType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.